PBIBTEX(1)

NAME
pbibtex, upbibtex - make a (Japanese) bibliography for (La)TeX

SYNOPSIS
pbibtex [options] auxname[.aux]

DESCRIPTION
pBibTeX (pbibtex) is a modified version of bibtex(1) for handling Japanese bibliographies. It sorts entries according to code points in EUC-JP, and provides new and modified built-in functions described below.

upBibTeX (upbibtex) is a modified version of pBibTeX, which sorts entries according to code points in Unicode.

Extensions to bibliography style (bst) functions

A new built-in function is available, and some other functions are modified to simplify Japanese handling.

is.kanji.str$
    [New built-in] Pops the top (string) literal to see if it contains any non-ASCII characters. Pushes 1 if it contains at least one, 0 if not.

substring$
    Modified to avoid dividing a character string in the middle of a multibyte character.

text.prefix$
    Similar modification as to substring$.

add.period$
    Modified to prevent appending "." after the Japanese punctuation marks corresponding to "!", "?" and ".", namely U+FF01, U+FF1F, U+3002 and U+FF0E.

format.name$
    Modified to accept Japanese zenkaku ideographic space (U+3000) for names displayed in Japanese. Also modified to recognize Japanese commas (U+3001 and U+FF0C) similar to "and" between names.

OPTIONS
See tex(1) for details of command-line parsing, and bibtex(1) for common options: -min-crossrefs, -terse, -help, -version.

[-no]-guess-input-enc
    Disable/enable guessing of the input file encoding.

-kanji=string
    Set Japanese encoding, where string is one of euc, jis, sjis, utf8, uptex.

-kanji-internal=string
    Set Japanese internal encoding, where string is one of euc or uptex.

SEE ALSO
bibtex(1), ptex(1).

AUTHORS
BibTeX was written by Oren Patashnik at Stanford University.

The Japanese version of BibTeX was originally developed by Shouichi Matsui as JBibTeX until 1991. It was developed to behave consistently with NTT JTeX in handling legacy Japanese encodings. The old documentation files jbibtex.pdf, jbtxdoc.tex, jbtxhak.tex (all available in TeX Live) describe Japanese handling capability and some additional notes of JBibTeX.

Current (u)pBibTeX is a forked version of JBibTeX, and has replaced the encoding conversion routine with one that is compatible with the (u)pTeX community edition using the ptexenc library. Descriptions of encodings in the old documentation files j*.pdf (especially Section 3.3 of jbibtex.pdf, such as BIBTERMCODE and BIBFILECODE) are no longer correct.

This manual page was written by Hironobu Yamashita.

Email bug reports to issue@texjp.org.